Outstanding x86 Build Issues

Colour Key Not Applicable Not Started/No Savannah Reply Yet In Progress or Started Implemented/Resultant Build Successful

Project Bug Report Component Affected Dependency Subsequently Affected Description of Issue Debian Resolution SL5 Resolution
SA3 #35493 dcache-client LCG-DM Missing Debian package Requested binary tarball compiled with gcc-4 from dcache.org Building srmclient and dcap32.bin in ETICS, try 1.8.0 version (2008-06-20)
JRA1 #27471 org.glite.rgma.base, org.glite.service-discovery.api-java, org.glite.service-discovery.rgma-java, org.glite.security.delegation-interface . glite RPM packager still in use Affecting Debian/OpenSuSE SL5 not affected since creates RPMS/i386 directory
#31882 org.glite.rgma.api-cpp, org.glite.rgma.base, org.glite.rgma.api-c . Spec files contain Copyright instead of License Affect all newer OSes Affects all newer OSes
#32296 org.glite.rgma.api-cpp . gcc-4 related bug in org.glite.rgma.api-cpp Affects gcc4 based machines Affects gcc4 based machines
#32304 org.glite.rgma.api-c org.glite.service-discovery.rgma-c OpenSSL 0.9.8 related bug in org.glite.rgma.api-c Affects OpenSSL !>= 0.9.8 based machines Affects OpenSSL !>= 0.9.8 based machines
#34282 org.glite.rgma.api-python org.glite.rgma.command-line, org.glite.rgma.flexible-archiver .rpmmacros used to ignore 6 missing files in tarball Not affected since not using RPM Affects binary RPM generation on many OSes. (2008-07-16)
#36870 org.glite.wms.brokerinfo-access . Spec files contain Copyright instead of License Affects RPM generation Affects RPM generation
#36872 LCG-DM (DPM) . Spec files contain Copyright instead of License Affects RPM generation Affects RPM generation
#35550 LCG-DM org.glite.data.gfal, org.glite.data.dm-util Uses scripts with references to RPM/spec files swig configuration error fixed, needs rebuild with packageType set to rpms, not debs Not affected
#33062 LCG-DM (DPM) org.glite.data.gfal, org.glite.data.dm-util Deprecated swig issues when using version 1.3.29 not resolved, stick with "swig v. 1.3.21" for the moment (effects SL5 too) not resolved, stick with "swig v. 1.3.21"
#35499 lcg-sam-client (x2), lcg-sam-client-sensors . Using RPMs for packaging by default RPM uses License, not Copyright Not applicable
#38823 org.glite.wms-utils.jobid org.glite.lb.common Fails because VDT globus 1.10.1-1 uses system OpenSSL Not an issue yet, but will be Using the system OpenSSL is required
#38824 org.glite.security.voms LCG-DM Fails because VDT globus 1.10.1-1 uses system OpenSSL Not an issue yet, but will be Using the system OpenSSL is required
ETICS #37863 org.gridsite.core org.glite.data.util-c, org.glite.data.delegation-cli, org.glite.data.transfer-cli, org.glite.data.srm-cli, org.glite.data.srm-api-perl issues are not showing up on CentOS 5.1, suggesting that old R_1_1_18_1 patches are partially fixing some issue. Back to previous missing header files issue. gridsite-core_R_1_5_8_dev needs change to using g++ instead of gcc (2008-06-17)

Resolved Issues

Project Bug Report Component Affected Dependency Subsequently Affected Description of Issue Debian Resolution SL5 Resolution
ETICS #35497 log4cxx . Using gmake instead of make, locked configuration Removed from org.glite.node.WN Not applicable
#34130 gsoap (x2), LCG-DM, org.glite.data.gfal, org.glite.security.cgsi-gsoap, org.glite.security.cgsi-gsoap-2.7, lcg-ManageVOTag org.glite.data.srm-api-c (by gsoap) Capitalization in packaging not allowed under Debian fix in ETICS client 1.3.6-1 (2008-06-13) Not affected
GGUS #37226 gsoap org.glite.security.gsoap-plugin, org.glite.data.delegation-cli, org.glite.security.cgsi-gsoap-2.7, org.gridsite.core, org.glite.data.delegation-api-c, org.glite.data.gfal, org.glite.data.srm-api-c, LCG-DM, org.glite.data.transfer-api-c, org.glite.data.srm-cli byacc missing from NMI build machine In place 2008-06-09 Missing 2008-06-09
GGUS #37283 org.glite.security.cgsi-gsoap . .la files of VDT globus contain wrong paths Not applicable .la files need changing in full tarball, awaiting 11th June build results 2008-06-10
GGUS #37402 VDT globus . ETICS VDT tarball creation for 4.0.7-VDT-1.10.1-1 for SL5 x86/x86_64 1.6.1-5 in place x86/x86_64 tarballs in place and tested on CentOS 5.1/OpenSuSE 10.3 successfully (2008-06-19)
GGUS #37279 org.glite.rgma.base . transfig missing from NMI build machine Builds further, but now have pdflatex issue 2008-06-13
GGUS #37449 org.glite.rgma.base . pdflatex missing from NMI build machine fixed, but needs testing when SL5 builds working (2008-06-20)
JRA1 #35544 org.glite.wms-utils.jobid org.glite.lb.common gcc-4 related issue Implemented by Francesco, successfully built at TCD Not applicable
#35836 org.glite.wms-utils.classad, org.glite.wms.common, org.glite.wms.checkpointing, org.glite.wms.brokerinfo-access . Small Classad program doesn't compile tested under Debian 4 and CentOS 5 Not applicable
#36851 org.gridsite.core org.glite.data.util-c, org.glite.data.delegation-cli, org.glite.data.transfer-cli, org.glite.data.srm-cli, org.glite.data.srm-api-perl After patching the build rules to use the correct apr-1.0 directory, SSL errors appear Replacement of X509_STORE_CTX type variables a with (a->param)->flags should fix this issue 2008-05-22 Using gridsite-core_R_1_5_8_dev with apr-devel fixes to configuration (2008-06-12)
GGUS #37652 org.glite.node.WN . SL5 report of org.glite.node.WN not showing up Not an issue tar -xzf fails if symlinks in package and writing over existing files without symlinks. (2008-07-14)
SA3 #34230 lcg-infosites, lcg-info, uberftp-client . Missing from glite_branch_3_1_0 lcg-info* uberftp-client now included Not applicable
#36472 edg-gridftp-client vdt_globus_essentials, vdt_globus_rm_essentials Using too old a version of edg-gridftp-client Using Newer version Not applicable
#35878 org.glite.wms.common . Extra qualification due to gcc-4 strictness No longer required on glite-WN, was only required for checkpointing Not applicable
#35502 org.gridsite.core org.glite.data.util-c, org.glite.data.delegation-cli, org.glite.data.transfer-cli, org.glite.data.srm-cli, org.glite.data.srm-api-perl httpd-devel.location not defined since httpd-devel.DEFAULT not defined httpd-devel dynamic dependency added, undergoing testing with new security subsystem 2008-05-07 Using gridsite-core_R_1_5_8_dev with apr-devel fixes to configuration (2008-06-12)
GGUS #37050 vdt-globus-essentials . Two versions checked out Not an issue Static dependency was incorrect (2008-06-16)
Edit | Attach | Watch | Print version | History: r40 < r39 < r38 < r37 < r36 | Backlinks | Raw View | WYSIWYG | More topic actions
Topic revision: r40 - 2008-07-16 - EamonnKenny
 
    • Cern Search Icon Cern Search
    • TWiki Search Icon TWiki Search
    • Google Search Icon Google Search

    EGEE All webs login

This site is powered by the TWiki collaboration platform Powered by Perl This site is powered by the TWiki collaboration platformCopyright & by the contributing authors. All material on this collaboration platform is the property of the contributing authors.
Ideas, requests, problems regarding TWiki? Ask a support question or Send feedback